package com.localmatters.mobile.horoscope;

import javax.xml.datatype.XMLGregorianCalendar;

/**
 * The horoscope interface.
 *
 * @author Daniel Cavalcanti
 */
public interface Horoscope {
    
    /**
     * Returns today's horoscope description.
     *
     * @return Today's horoscope description.
     */
    public HoroscopeDescription horoscope();
    
    /**
     * Returns a date's horoscope description.
     *
     * @param date The horoscope date.
     * @return A date's horoscope description.
     */
    public HoroscopeDescription horoscopeByDate(XMLGregorianCalendar date);
    
}
