package com.localmatters.mobile.horoscope;

import java.util.List;

/**
 * The horoscope description POJO.
 *
 * @author Daniel Cavalcanti
 */
public class HoroscopeDescription {
    
    // **********************************************************************
    // Instance variables
    // **********************************************************************
    
    /**
     * The horoscope date.
     */
    private String date;
    
    /**
     * The signs descriptions.
     */
    private List<SignDescription> signsDescriptions;
    
    // **********************************************************************
    // Constructors
    // **********************************************************************
    
    /**
     * Creates a new instance of HoroscopeDescription.
     */
    public HoroscopeDescription() {
    }
    
    /**
     * Creates a new instance of HoroscopeDescription.
     *
     * @param date The horoscope date.
     * @param signsDescriptions The signs descriptions.
     */
    public HoroscopeDescription(String date, List<SignDescription> signsDescriptions) {
        this.date = date;
        this.signsDescriptions = signsDescriptions;
    }
    
    // **********************************************************************
    // Getter/Setter methods
    // **********************************************************************

    /**
     * Returns the horoscope date.
     *
     * @return The horoscope date.
     */
    public String getDate() {
        return date;
    }

    /**
     * Sets the horoscope date.
     *
     * @param date The horoscope date.
     */
    public void setDate(String date) {
        this.date = date;
    }

    /**
     * Returns the signs descriptions.
     *
     * @return The signs descriptions.
     */
    public List<SignDescription> getSignsDescriptions() {
        return signsDescriptions;
    }

    /**
     * Sets the signs descriptions.
     *
     * @param signsDescriptions The signs descriptions.
     */
    public void setSignsDescriptions(List<SignDescription> signsDescriptions) {
        this.signsDescriptions = signsDescriptions;
    }
    
}
