package com.localmatters.mobile.horoscope;

import java.io.Serializable;

/**
 * The sign description POJO.
 *
 * @author Daniel Cavalcanti
 */
public class SignDescription implements Serializable {
    
    // **********************************************************************
    // Instance variables
    // **********************************************************************
    
    /**
     * The sign.
     */
    private String sign;
    
    /**
     * The compatible sign.
     */
    private String compatibleSign;
    
    /**
     * The financial outlook.
     */
    private String financialOutlook;
    
    /**
     * The text.
     */
    private String text;
    
    /**
     * The fortunate astrological number.
     */
    private int fortunateAstrologicalNumber;
    
    // **********************************************************************
    // Constructors
    // **********************************************************************
    
    /**
     * Creates a new instance of SignDescription.
     */
    public SignDescription() {
    }
    
    /**
     * Creates a new instance of SignDescription.
     *
     * @param sign The sign.
     * @param compatibleSign The compatible sign.
     * @param financialOutlook The financial outlook.
     * @param text The text.
     * @param fortunateAstrologicalNumber The fortunate astrological number.
     */
    public SignDescription(String sign, String compatibleSign, String financialOutlook, String text, int fortunateAstrologicalNumber) {
        this.sign = sign;
        this.compatibleSign = compatibleSign;
        this.financialOutlook = financialOutlook;
        this.text = text;
        this.fortunateAstrologicalNumber = fortunateAstrologicalNumber;
    }
    
    // **********************************************************************
    // Getter/Setter methods
    // **********************************************************************
    
    /**
     * Returns the sign.
     *
     * @return The sign.
     */
    public String getSign() {
        return sign;
    }
    
    /**
     * Sets the sign.
     *
     * @param sign The sign.
     */
    public void setSign(String sign) {
        this.sign = sign;
    }
    
    /**
     * Returns the compatible sign.
     *
     * @return The compatible sign.
     */
    public String getCompatibleSign() {
        return compatibleSign;
    }
    
    /**
     * Sets the compatible sign.
     *
     * @param compatibleSign The compatible sign.
     */
    public void setCompatibleSign(String compatibleSign) {
        this.compatibleSign = compatibleSign;
    }
    
    /**
     * Returns the financial outlook.
     *
     * @return The financial outlook.
     */
    public String getFinancialOutlook() {
        return financialOutlook;
    }
    
    /**
     * Sets the financial outlook.
     *
     * @param financialOutlook The financial outlook.
     */
    public void setFinancialOutlook(String financialOutlook) {
        this.financialOutlook = financialOutlook;
    }
    
    /**
     * Returns the text.
     *
     * @return The text.
     */
    public String getText() {
        return text;
    }
    
    /**
     * Sets the text.
     *
     * @param text The text.
     */
    public void setText(String text) {
        this.text = text;
    }
    
    /**
     * Returns the fortunate astrological number.
     *
     * @return The fortunate astrological number.
     */
    public int getFortunateAstrologicalNumber() {
        return fortunateAstrologicalNumber;
    }
    
    /**
     * Sets the fortunate astrological number.
     *
     * @param fortunateAstrologicalNumber The fortunate astrological number.
     */
    public void setFortunateAstrologicalNumber(int fortunateAstrologicalNumber) {
        this.fortunateAstrologicalNumber = fortunateAstrologicalNumber;
    }
    
}
