package com.localmatters.mobile.horoscope.web;

import com.localmatters.mobile.horoscope.HoroscopeDescription;
import com.localmatters.mobile.horoscope.HoroscopeRemote;
import java.io.*;
import java.net.*;
import javax.ejb.EJB;

import javax.servlet.*;
import javax.servlet.http.*;

/**
 *
 * @author Daniel Cavalcanti
 */
public class HoroscopeServlet extends HttpServlet {

    @EJB()
    private HoroscopeRemote horoscopeBean;
    
    /**
     * Processes requests for both HTTP GET and POST methods.
     *
     * @param request servlet request
     * @param response servlet response
     */
    protected void processRequest(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException {
        
        HoroscopeDescription hd = horoscopeBean.horoscope();
        
        response.setContentType("text/html;charset=UTF-8");
        PrintWriter out = response.getWriter();
        out.println("<html>");
        out.println("<head><title>Horoscope Servlet</title></head>");
        out.println("<body><h1>date = " + hd.getDate() + "</h1></body>");
        out.println("</html>");
        out.close();
        
    }
    
    /**
     * Handles the HTTP GET method.
     *
     * @param request servlet request
     * @param response servlet response
     */
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException {
        processRequest(request, response);
    }
    
    /**
     * Handles the HTTP POST method.
     *
     * @param request servlet request
     * @param response servlet response
     */
    protected void doPost(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException {
        processRequest(request, response);
    }
    
}
